
Redmine - Defect #22195

Creating an issue with the API in a project without trackers give a wrong error message

2016-03-15 14:15 - Alexandre Lessard

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Due to a configuration error, my project was created without trackers and when I use the api to create new issues in it, I received the

error message "Project cannot be blank". This error message misled me into thinking I had a problem with the project_id, but it was

only that I had no trackers to use for my issue.

Is it possible to had a better error message? like "No trackers associated with the Project" and maybe look into other possible things

that could cause the same issue.

Thanks

Related issues:

Is duplicate of Redmine - Defect #22638: creating with REST API new issue on ... New

History

#1 - 2016-04-10 07:19 - Toshi MARUYAMA

- Category changed from Issues to REST API

#2 - 2016-04-30 06:21 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

#22638 has more details. Closing as a duplicate of that.

Thanks for reporting.

#3 - 2016-04-30 06:21 - Go MAEDA

- Is duplicate of Defect #22638: creating with REST API new issue on a project without any tracker enabled return misleading error message added
